﻿@import url("MaterialDesign.css");

input::-ms-reveal,
input::-ms-clear {
    display: none;
}

body{
    width:100%;
    height:100%;
    margin:0px;
    font-family: sans-serif !important;
}
.main-content {
    height: 100vh;
    margin: 0px;
    padding: 0px;
    width: 100%;
    display:flex;
    flex-direction:column;
    justify-content:space-between;
}

.page-wrapper {
    display: flex;
    font-family: sans-serif !important;
    justify-content:space-evenly;
    align-items: center;
    width:100%;
    height:100%;
}

.mdc-card{
    padding:1%;
    display:flex;
    justify-content:center;
    border:none;
    max-width:40%;
}

.fullWidth{
    margin-top: 25px;
    display:flex;
    justify-content:center;
    width:300px;
}

.validate-error {
    min-width: 300px;
}

label {
    width: 100%;
}

.login-form{
    display:flex;
    flex-direction:column;
    align-items:center;
}

.error{
    color:red;
}

.success {
    color: #4CAF50;
}

.roles-radio{
    display:flex;
    flex-direction:column;
}

#loader {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 999;
    background-color: #ffffff9a;
    height:100vh;
    width:100vw;
}

/* Mat spinner for initial load*/
.progress-spinner {
    position: absolute;
    width: 100px;
    height: 100px;
    animation: progress-spinner-linear-rotate 2000ms linear infinite;
}

.progress-spinner svg {
    width: 100px;
    height: 100px;
    transform: rotate(-90deg);
    top: 0;
    left: 0;
    transform-origin: center;
    overflow: visible
}

.progress-spinner circle {
    animation-name: progress-spinner-stroke-rotate;
    stroke-dasharray: 282.743px;
    stroke-width: 10%;
    fill: transparent;
    stroke: #4b286d;
    transform-origin: center;
    transition: stroke-dashoffset 225ms linear;
}

.progress-spinner {
    animation: progress-spinner-linear-rotate 2000ms linear infinite;
}

    .progress-spinner circle {
        transition-property: stroke;
        animation-duration: 4000ms;
        animation-timing-function: cubic-bezier(0.35, 0, 0.25, 1);
        animation-iteration-count: infinite
    }

@keyframes progress-spinner-linear-rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes progress-spinner-stroke-rotate {
    0% {
        stroke-dashoffset: 268.606171575px;
        transform: rotate(0);
    }

    12.5% {
        stroke-dashoffset: 56.5486677px;
        transform: rotate(0);
    }

    12.5001% {
        stroke-dashoffset: 56.5486677px;
        transform: rotateX(180deg) rotate(72.5deg);
    }

    25% {
        stroke-dashoffset: 268.606171575px;
        transform: rotateX(180deg) rotate(72.5deg);
    }

    25.0001% {
        stroke-dashoffset: 268.606171575px;
        transform: rotate(270deg);
    }

    37.5% {
        stroke-dashoffset: 56.5486677px;
        transform: rotate(270deg);
    }

    37.5001% {
        stroke-dashoffset: 56.5486677px;
        transform: rotateX(180deg) rotate(161.5deg);
    }

    50% {
        stroke-dashoffset: 268.606171575px;
        transform: rotateX(180deg) rotate(161.5deg);
    }

    50.0001% {
        stroke-dashoffset: 268.606171575px;
        transform: rotate(180deg);
    }

    62.5% {
        stroke-dashoffset: 56.5486677px;
        transform: rotate(180deg);
    }

    62.5001% {
        stroke-dashoffset: 56.5486677px;
        transform: rotateX(180deg) rotate(251.5deg);
    }

    75% {
        stroke-dashoffset: 268.606171575px;
        transform: rotateX(180deg) rotate(251.5deg);
    }

    75.0001% {
        stroke-dashoffset: 268.606171575px;
        transform: rotate(90deg);
    }

    87.5% {
        stroke-dashoffset: 56.5486677px;
        transform: rotate(90deg);
    }

    87.5001% {
        stroke-dashoffset: 56.5486677px;
        transform: rotateX(180deg) rotate(341.5deg);
    }

    100% {
        stroke-dashoffset: 268.606171575px;
        transform: rotateX(180deg) rotate(341.5deg);
    }
}

/*footer*/

.footer {
    border-top: 3px solid #3A54A1;
    background: #fff;
    width: 100%;
    bottom: 0;
    padding-top: 1px;
    font-size: 16px;
    height:30px;
}


.footer p.copyright {
    color: #8ca4bb;
    padding-left: 5px;
}

.footer p {
    line-height: 25px;
    margin: 0px;
}

.text-center {
    text-align: center;
}

#footer-cimpl-logo {
    background-repeat: no-repeat;
    background-position-x: right;
    background-position-y: center;
    width: 132px;
    position: absolute;
    right: 50px;
    bottom: 0px;
}


/*Header*/
.header {
    width: 100%;
    background-color: #4B286D;
    height:64px;
    display:flex;
    justify-content: space-between;
    align-items:center;
}

#language-selector {
    margin-right: 10px;
    color: white;
    text-decoration: none;
}

.portalDescription{
    color:red;
    margin-left:10px;
    font-family:sans-serif;
}

.mdc-button {
    background-color: #248700 !important;
}

.right-side-content{
    max-width:40%;
}

.footer-logo {
    position: absolute;
    top: 2px;
    margin-left: 5px;
    width: 75px;
    height: 20px;
}

#visibility-icon-button,
#visibility-icon-button-confirm
{
    color: rgb(158, 158, 158);
    position: absolute;
    top: 5px;
    right: 0;
}